% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/connect_operations.R
\name{connect_resume_contact_recording}
\alias{connect_resume_contact_recording}
\title{When a contact is being recorded, and the recording has been suspended
using SuspendContactRecording, this API resumes recording whatever
recording is selected in the flow configuration: call, screen, or both}
\usage{
connect_resume_contact_recording(InstanceId, ContactId, InitialContactId)
}
\arguments{
\item{InstanceId}{[required] The identifier of the Amazon Connect instance. You can \href{https://docs.aws.amazon.com/connect/latest/adminguide/find-instance-arn.html}{find the instance ID}
in the Amazon Resource Name (ARN) of the instance.}

\item{ContactId}{[required] The identifier of the contact.}

\item{InitialContactId}{[required] The identifier of the contact. This is the identifier of the contact
associated with the first interaction with the contact center.}
}
\description{
When a contact is being recorded, and the recording has been suspended using SuspendContactRecording, this API resumes recording whatever recording is selected in the flow configuration: call, screen, or both. If only call recording or only screen recording is enabled, then it would resume.

See \url{https://www.paws-r-sdk.com/docs/connect_resume_contact_recording/} for full documentation.
}
\keyword{internal}
